Skip to main content
`Ctrl`+`K`

# numpy.dtype.kind

attribute

dtype.kind

  A character code (one of ‘biufcmMOSTUV’) identifying the general kind of data.

  b | boolean
  i | signed integer
  u | unsigned integer
  f | floating-point
  c | complex floating-point
  m | timedelta
  M | datetime
  O | object
  S | (byte-)string
  T | string (StringDType)
  U | Unicode
  V | void

  Examples

      >>> import numpy as np
      >>> dt = np.dtype('i4')
      >>> dt.kind
      'i'
      >>> dt = np.dtype('f8')
      >>> dt.kind
      'f'
      >>> dt = np.dtype([('field1', 'f8')])
      >>> dt.kind
      'V'